searchNodes=[{"type":"module","title":"PhoenixLiveReact","doc":"Render React.js components in Phoenix LiveView views.","ref":"PhoenixLiveReact.html"},{"type":"function","title":"PhoenixLiveReact.live_react_component/3","doc":"Render a react component in a live view.&lt;%= PhoenixLiveReact.live_react_component(&quot;Components.MyComponent&quot;, %{name: &quot;Bob&quot;}, id: &quot;my-component-1&quot;) %&gt;EventsTo push events back to the liveview the pushEvent and pushEventTo functions from Phoenix LiveView are passed as props to the component.pushEvent(event, payload, (reply, ref) =&gt; ...) - push an event from the client to the LiveViewpushEventTo(selector, event, payload, (reply, ref) =&gt; ...) - push an event from the client to a specific LiveView componenthandleEvent(event, handler) - (phoenix_live_view &gt;= 0.14) receive data directly through liveview push_eventconst { pushEvent, pushEventTo, handleEvent } = this.props; pushEvent(&quot;button_click&quot;); pushEvent(&quot;myevent&quot;, {&quot;var&quot;: &quot;value&quot;}); pushEventTo(&quot;#component-1&quot;, &quot;do_something&quot;) handleEvent(&quot;some-event&quot;, (payload) =&gt; console.log(payload))Parametersname: String with the module name of the componentprops: Map or keyword list with the props for the react componentoptions: Keyword list with render optionsIt is possible to override both the receiver and the container div's attributes by passing a keyword list as :container and :receiver options.You can also override the tag type with the :container_tag and :receiver_tag optionsBy default, LiveView uses phx- as the binding prefix. You can override this with the :binding_prefix option.&lt;%= PhoenixLiveReact.live_react_component(&quot;Components.MyComponent&quot;, %{}, id: &quot;my-component-1&quot;, container: [class: &quot;my-component&quot;], container_tag: :p ) %&gt;","ref":"PhoenixLiveReact.html#live_react_component/3"},{"type":"extras","title":"PhoenixLiveReact","doc":"PhoenixLiveReactRender React.js components in Phoenix LiveView views.","ref":"readme.html"},{"type":"extras","title":"PhoenixLiveReact - Installation","doc":"Add to your mix.exs and run mix deps.get:def deps do [ {:phoenix_live_react, &quot;~&gt; 0.5&quot;} ] endIf you're using Phoenix 1.5 or older, then add to your assets/package.json and run npm i or yarn:{ ... &quot;dependencies&quot;: { ... &quot;phoenix&quot;: &quot;file:../deps/phoenix&quot;, &quot;phoenix_html&quot;: &quot;file:../deps/phoenix_html&quot;, &quot;phoenix_live_view&quot;: &quot;file:../deps/phoenix_live_view&quot;, &quot;phoenix_live_react&quot;: &quot;file:../deps/phoenix_live_react&quot;, # &lt;-- ADD THIS! ... }, ... }Note for umbrella projects the relative file paths should look like &quot;file:../../../deps/phoenix_live_react&quot;Connect the hooks to your liveview (app.js):import LiveReact, { initLiveReact } from &quot;phoenix_live_react&quot; let hooks = { LiveReact } let liveSocket = new LiveSocket(&quot;/live&quot;, Socket, { hooks, params: { _csrf_token: csrfToken } }) // Optionally render the React components on page load as // well to speed up the initial time to render. // The pushEvent, pushEventTo and handleEvent props will not be passed here. document.addEventListener(&quot;DOMContentLoaded&quot;, e =&gt; { initLiveReact() })Add the helper to your MyAppWeb file, lib/MyAppWeb.ex:def live_view do quote do # ... import PhoenixLiveReact # ... end endAdd your react components to the window scope (app.js):import { MyComponent } from &quot;./components/MyComponent&quot; window.Components = { MyComponent }","ref":"readme.html#installation"},{"type":"extras","title":"PhoenixLiveReact - Usage","doc":"Use in your live view:&lt;%= live_react_component(&quot;Components.MyComponent&quot;, [name: @name], id: &quot;my-component-1&quot;) %&gt;EventsTo push events back to the liveview the pushEvent, pushEventTo and handleEvent functions from Phoenix LiveView are passed as props to the component.pushEvent(event, payload, (reply, ref) =&gt; ...) - push an event from the client to the LiveViewpushEventTo(selector, event, payload, (reply, ref) =&gt; ...) - push an event from the client to a specific LiveView componenthandleEvent(event, handler) - (phoenix_live_view &gt;= 0.14) receive data directly through liveview push_eventconst { pushEvent, pushEventTo, handleEvent } = this.props; pushEvent(&quot;button_click&quot;); pushEvent(&quot;myevent&quot;, {&quot;var&quot;: &quot;value&quot;}); pushEventTo(&quot;#component-1&quot;, &quot;do_something&quot;) handleEvent(&quot;some-event&quot;, (payload) =&gt; console.log(payload))","ref":"readme.html#usage"},{"type":"extras","title":"PhoenixLiveReact - How to add React to Phoenix 1.6 app","doc":"Add NPMIn your assets dir:npm init # press enter until its doneIn your config.exs:Change the NODE_PATH to include node_modules for the :esbuild / :default entry. env: %{&quot;NODE_PATH&quot; =&gt; Enum.join([Path.expand(&quot;../deps&quot;, __DIR__), Path.expand(&quot;../assets/node_modules&quot;, __DIR__)], &quot;:&quot;)}Add reactIn your assets dir:npm add react react-dom","ref":"readme.html#how-to-add-react-to-phoenix-1-6-app"},{"type":"extras","title":"PhoenixLiveReact - How to add react to Phoenix 1.5 or older","doc":"In your assets dir:npm install react react-dom --save npm install @babel/preset-env @babel/preset-react --save-devCreate an assets/.babelrc file:{ &quot;presets&quot;: [ &quot;@babel/preset-env&quot;, &quot;@babel/preset-react&quot; ] }For NPM users, you might need the add the following to your assets/webpack.config.js file:module.exports = (env, options) =&gt; ({ // add: resolve: { alias: { react: path.resolve(__dirname, &#39;./node_modules/react&#39;), &#39;react-dom&#39;: path.resolve(__dirname, &#39;./node_modules/react-dom&#39;) } } // });","ref":"readme.html#how-to-add-react-to-phoenix-1-5-or-older"},{"type":"extras","title":"PhoenixLiveReact - React phoenix","doc":"This library is inspired by react-phoenix.Check it out if you want to use react components in regular views.","ref":"readme.html#react-phoenix"}]